package com.tutego.insel.io.stream;

import java.io.*;

class PushbackReaderDemo
{
  public static void main( String[] args ) throws IOException
  {
    String s = "134Erste Zeile\n234Zeile";
    
    PushbackReader in = new PushbackReader( new StringReader(s) );
    
    for ( int c; ; )
    {
      try
      {
        int number = 0;
    
        // Lese Zahl bis nichts mehr geht
    
        while ( Character.isDigit((char)(c = in.read())) )
          number = (number * 10) + c - '0';
    
        if ( c == -1 )   // Ende der Eingabe? => Ende der Schleife
          break;
    
        in.unread( c );        // Letztes Zeichen wieder rein
    
        System.out.print( number + ":" );
    
        // Jetzt ist das Zeichen wieder drin
    
        while ( (c = in.read()) != -1 )
        {
          System.out.print( (char)c );
    
          if ( c == '\n' )
            break;
        }
        if ( c == -1 )
          break;
      }
      catch ( EOFException e )
      {
        break;
      }
    }
  }
}